the_certificate_usr_share_rhn_rhns-ca-cert_is_expired

차이

문서의 선택한 두 판 사이의 차이를 보여줍니다.

차이 보기로 링크

the_certificate_usr_share_rhn_rhns-ca-cert_is_expired [2020/06/10 18:01] (현재)
koov 만듦
줄 1: 줄 1:
 +====== The certificate /usr/share/rhn/RHNS-CA-CERT is expired ======
 +
 +
 +yum 관련 명령어 사용중 아래와 같은 메세지가 나오는 경우가 있다.
 +
 +<WRAP prewrap>
 +<code bash>
 +Loaded plugins: product-id, refresh-packagekit, rhnplugin, security, subscription-manager, versionlock
 +This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
 +
 +
 +The certificate /usr/share/rhn/RHNS-CA-CERT is expired. Please ensure you have the correct certificate and your system time is correct.
 +</code>
 +</WRAP>
 +
 +해당 내용은 시스템에 설치된 레드햇 인증서가 만료되어 발생하는 문제이다.
 +
 +해결방법은 기존 설치된 인증서를 삭제하고 구버전의 rhn_register기능을 비활성화 하면 된다.
 +
 +<WRAP prewrap>
 +<code bash>
 +# mv /etc/sysconfig/rhn/systemid  /etc/sysconfig/rhn/systemid.EOL
 +# sed -i 's/enabled = 1/enabled = 0/g' /etc/yum/pluginconf.d/rhnplugin.conf
 +</code>
 +</WRAP>
 +
 +
 +
 +===== 관련링크 =====
 +  * https://access.redhat.com/solutions/4860641
  
  • the_certificate_usr_share_rhn_rhns-ca-cert_is_expired.txt
  • 마지막으로 수정됨: 2020/06/10 18:01
  • 저자 koov